Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase.SYSTEM_INFO

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.SYSTEM_INFO

Enclosing class:
  WinBase

    public static class WinBase.SYSTEM_INFO

extends com.sun.jna.Structure

Contains information about the current computer system. This includes the architecture and type of the processor, the number of processors in the system, the page size, and other such information.

Nested Class Summary
`static class` | `WinBase.SYSTEM_INFO.PI`
`static class` | `WinBase.SYSTEM_INFO.UNION`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`BaseTSD.DWORD_PTR` | `dwActiveProcessorMask` Mask representing the set of processors configured into the system.
`WinDef.DWORD` | `dwAllocationGranularity` Granularity for the starting address at which virtual memory can be allocated.
`WinDef.DWORD` | `dwNumberOfProcessors` Number of processors in the system.
`WinDef.DWORD` | `dwPageSize` Page size and the granularity of page protection and commitment.
`WinDef.DWORD` | `dwProcessorType` An obsolete member that is retained for compatibility with Windows NT 3.5 and Windows Me/98/95.
`com.sun.jna.Pointer` | `lpMaximumApplicationAddress` Pointer to the highest memory address accessible to applications and DLLs.
`com.sun.jna.Pointer` | `lpMinimumApplicationAddress` Pointer to the lowest memory address accessible to applications and dynamic-link libraries (DLLs).
`WinBase.SYSTEM_INFO.UNION.ByReference` | `processorArchitecture` Processor architecture.
`WinDef.WORD` | `wProcessorLevel` System's architecture-dependent processor level.
`WinDef.WORD` | `wProcessorRevision` Architecture-dependent processor revision.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEM_INFO()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### processorArchitecture

    public WinBase.SYSTEM_INFO.UNION.ByReference processorArchitecture

  Processor architecture.

### dwPageSize

    public WinDef.DWORD dwPageSize

  Page size and the granularity of page protection and commitment.

### lpMinimumApplicationAddress

    public com.sun.jna.Pointer lpMinimumApplicationAddress

  Pointer to the lowest memory address accessible to applications and dynamic-link libraries (DLLs).

### lpMaximumApplicationAddress

    public com.sun.jna.Pointer lpMaximumApplicationAddress

  Pointer to the highest memory address accessible to applications and DLLs.

### dwActiveProcessorMask

    public BaseTSD.DWORD_PTR dwActiveProcessorMask

  Mask representing the set of processors configured into the system. Bit 0 is processor 0; bit 31 is processor 31.

### dwNumberOfProcessors

    public WinDef.DWORD dwNumberOfProcessors

  Number of processors in the system.

### dwProcessorType

    public WinDef.DWORD dwProcessorType

  An obsolete member that is retained for compatibility with Windows NT 3.5 and Windows Me/98/95. Use the wProcessorArchitecture, wProcessorLevel, and wProcessorRevision members to determine the type of processor. PROCESSOR_INTEL_386 PROCESSOR_INTEL_486 PROCESSOR_INTEL_PENTIUM

### dwAllocationGranularity

    public WinDef.DWORD dwAllocationGranularity

  Granularity for the starting address at which virtual memory can be allocated.

### wProcessorLevel

    public WinDef.WORD wProcessorLevel

  System's architecture-dependent processor level. It should be used only for display purposes. To determine the feature set of a processor, use the IsProcessorFeaturePresent function. If wProcessorArchitecture is PROCESSOR_ARCHITECTURE_INTEL, wProcessorLevel is defined by the CPU vendor. If wProcessorArchitecture is PROCESSOR_ARCHITECTURE_IA64, wProcessorLevel is set to 1.

### wProcessorRevision

    public WinDef.WORD wProcessorRevision

  Architecture-dependent processor revision.

Constructor Detail

### WinBase.SYSTEM_INFO

    public WinBase.SYSTEM_INFO()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD